/***************** GENERAL *******************/
@media (min-width: 768px) {
    .product-online-mixer .product-infos .mixer-main {
        display: flex;
        justify-content: space-between;
        gap: 35px;
    }
}

.product-infos {
    position: relative;
    margin:  60px 0;
}

@media (max-width: 768px) {
    .product-infos {
        position: relative;
        margin:  35px 0;
    }
}

.product-online-mixer .product-infos .product-add-form {
    order: 1;
    width: 40%;

    @media screen and (max-width: 768px) {
        width: 100%;
    }
}

.product-online-mixer .product-infos .product-view {
    order: 2;
    width: 90%;

    @media screen and (max-width: 768px) {
        width: 100%;
    }
}


/***************** PRODUCT FORM *******************/
.product-online-mixer .product-infos .product-add-form .mixer-form {
    width: 100%;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer {
    width: 100%;
    background: #f5ede3;
    padding: 30px;
}

@media (max-width: 768px) {
    .product-online-mixer .product-infos .product-add-form .mixer-form .mixer {
        padding: 20px;
        margin: 40px 0 0;
    }
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer h2 {
   padding: 0 0 30px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form #mixneu {
    background-color: #b21e28;
    padding: 7px;
    border-radius: 50%;
    font-size: 17px;
    font-family: "Meta Pro Black", sans-serif !important;
    color: #fefaec;
    width: 55px;
    height: 55px;
    float: right;
    right: 37px;
    position: relative;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .container {
    padding: 0;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer span.mixcode:before {
    content: "";
    display: block;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .col .button {
    font-size: 14px;
    background: transparent;
    color: #603d20;
    border-style: dashed;
    padding: 5px 0;
    margin: 0 0 10px 20px !important;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .col .button + #mobhide {
   display: none !important;
}

@media (max-width: 767px) {
    .product-online-mixer .product-infos .product-add-form .mixer-form .mixer .col .button {
        padding: 10px 15px;
        width: 200px;
    }
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .col .button:hover {
    background: #603d20;
    color: white;
    border-style: dashed;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .mixcode {
    display: block;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .col .modal-content .button {
    margin-left: 0 !important;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row {
    height: 91px;
    padding: 20px 0;
    clear: both;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .mix-row-details {
    padding-left: 95px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .mix-row-details label {
    display: block;
    text-align: left;
    min-height: auto;
    padding: 0;
    margin: 0 0 20px;
    font-family: 'Meta Pro Black', sans-serif;
    color: #603d20;
    font-size: 16px;
    transition: .3s ease;
    line-height: 20px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .article-name {
    width: 100%;
    max-width: 100%;
    height: 71px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row img {
    height: 71px;
    width: 71px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group {
    float: left !important;
    text-align: center;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group.trash {
    float: right !important;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group.qty-price-holder {
    padding-top: 3px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group input {
    text-align: center;
    width: 50px;
    font-weight: bold;
    font-size: 18px;
    margin: 0 5px;
    padding: 0;
    border: 0;
    background-color: transparent !important;
    text-transform: none !important;
}


.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group button {
    display: inline-block;
    float: none !important;
    width: 24px !important;
    height: 24px;
    border: none;
    color: transparent;
    margin: 0 15px 0 0;
    background: url("../images/svg/icon_plus.svg") transparent;
    padding: 0;
    position: relative;
    top: 5px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group button.minus {
    background: url("../images/svg/icon_minus.svg") transparent;
    margin: 0;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group button.delete {
    background: url("../images/svg/icon_trash.svg") transparent;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer #product-options-wrapper p.required {
    display: none;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .block-bundle-summary .price-info {
    float: none !important;
    margin: 21px auto;
    width: auto;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .block-bundle-summary .price-info .price-box {
    text-align: center;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .block-bundle-summary .grammage-total {
    display: inline;
    float: none !important;
    font-size: 1.8rem;
    padding-right: 15px;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .block-bundle-summary .price-as-configured {
    display: inline;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer .block-bundle-summary .price {
    font-size: 1.8rem !important;
    font-weight: bold !important;
    padding-left: 15px;
    border-left: 1px solid silver;
    color: #49584c !important;
}

.product-online-mixer .product-infos .product-add-form .mixer-form .mixer button[type="submit"] {
    width: 100%;
}


/***************** PRODUCT FILTER *******************/
.product-online-mixer .product-infos .mixer-main .article-filter {
    margin: 3px 0 50px 0;
    display: flex;
    justify-content: space-between;
}

@media (max-width: 767px) {
    .product-online-mixer .product-infos .mixer-main .article-filter {
        display: block;
        margin: 3px 0 30px 0;
    }
}

.product-online-mixer .product-infos .mixer-main .article-filter div {
    color: #fff !important;
    font-size: 1.25rem;
    width: auto;
    display: inline-block;
    position: relative;
    cursor: pointer;
    vertical-align: middle;
    text-align: center;
    transition: .3s ease;
    border: 1px solid #49584c;
    background-color: #49584c;
    padding: 8px 10px 5px;
    margin: 0 0 20px;
    font-family: "Meta Pro Bold", sans-serif;
    line-height: normal;
}

.product-online-mixer .product-infos .mixer-main .article-filter div:hover {
    color: #49584c !important;
    transition: .3s ease;
    border: 1px solid #49584c;
    background-color: transparent;
}

.product-online-mixer .product-infos .mixer-main .article-filter div.position-Nein {
    display: none;
}

/***************** PRODUCTS *******************/
.product-online-mixer .product-infos #left_article_filter {
    float: none !important;
    width: 100%;
    padding: 0;
    margin: 0;
    background: transparent;
}

@media (max-width: 767px) {
    .product-online-mixer .product-infos #left_article_filter {
        padding: 0 !important;
    }
}

.product-online-mixer .product-infos #left_article_filter .products-option {
    position: relative;
    margin-right: 0;
    padding-top: 20px;
    box-sizing: unset;
}

.product-online-mixer .product-infos #left_article_filter .products-option a {
    position: relative;
    margin: 0 0 20px;
}

.product-online-mixer .product-infos #left_article_filter .products-option.right-elem {
    padding: 20px 0 0 7%;
}

.product-online-mixer .product-infos #left_article_filter .products-option.left-elem {
    padding: 20px 7% 0 0;
}

.product-online-mixer .product-infos #left_article_filter .products-option.center-elem {
    padding: 20px 7% 0;
}

@media (min-width: 768px) {
    .product-online-mixer .product-infos #left_article_filter .products-option.center-elem:before {
        position: absolute;
        content: "";
        left: 0;
        top: 73px;
        height: 146px;
        width: 1px;
        border-left: 1px solid #edf0f0;
    }
}

@media (min-width: 768px) {
    .product-online-mixer .product-infos #left_article_filter .products-option.center-elem:after {
        position: absolute;
        content: "";
        right: 0;
        top: 73px;
        height: 146px;
        width: 1px;
        border-right: 1px solid #edf0f0;
    }
}

@media (max-width: 767px) {
    .product-online-mixer .product-infos #left_article_filter .products-option.mobile-right:before {
        position: absolute;
        content: "";
        left: 0;
        top: 73px;
        height: 146px;
        width: 1px;
        border-left: 1px solid #edf0f0;
    }
}

@media (max-width: 767px) {
    .product-online-mixer .product-infos #left_article_filter .products-option {
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        width: 50%;
        padding: 20px 6px 0 !important;
    }
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-name {
    min-height: 80px;
    padding: 15px 0 10px;
    font-family: 'Meta Pro Black', sans-serif;
    color: #603d20;
    font-size: 22px;
    text-align: left;
    transition: .3s ease;
    display: block;
    line-height: 24px;
}

@media (max-width: 767px) {
    .product-online-mixer .product-infos #left_article_filter .products-option .products-options-name {
        font-size: 17px;
        min-height: 60px;
    }
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-price {
    padding: 20px 0;
    text-align: center;
    font-size: 20px;
    font-weight: 700;
    color: #49584c;
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-price:after {
    position: absolute;
    content: "";
    bottom: 0;
    left: 25%;
    width: 50%;
    height: 1px;
    border-bottom: 1px solid #edf0f0;
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-price .price-100 {
    text-align: center;
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-button {
    text-align: center;
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-button button {
    float: none !important;
    width: 24px !important;
    height: 24px;
    border: none;
    color: transparent;
    background: url("../images/svg/icon_minus.svg") transparent;
    padding: 0;
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-button button.plus {
    background: url("../images/svg/icon_plus.svg") transparent;
}

.product-online-mixer .product-infos #left_article_filter .products-option .products-options-button .product-weight {
    font-weight: bold;
    font-size: 1.25rem;
    padding: 0 15px;
}


/***************** MODAL *******************/
@media (max-width: 767px) {
    .product-online-mixer.fixed-add #product_addtocart_form {
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: 1000;
    }

    .product-online-mixer.fixed-add #product_addtocart_form #product-options-wrapper {
        display: none;
    }

    .product-online-mixer.fixed-add #product_addtocart_form h2 {
        text-align: left !important;
    }

    .product-online-mixer.fixed-add #product_addtocart_form .row {
        display: none;
    }

    .product-online-mixer.fixed-add #product_addtocart_form .price-box {
        display: block;
        position: absolute;
        right: 20px;
        top: 7px;
    }

    .product-online-mixer.fixed-add #product_addtocart_form .fixed-add-toggle {
        transform: rotate(90deg);
    }

    .product-online-mixer.fixed-add .product-infos .mixer-form .mixer .block-bundle-summary {
        border-top: 0;
    }

    .product-online-mixer.fixed-add .mixer-form .mixer .block-bundle-summary .price-info {
        margin: 0 !important;
    }

    .product-online-mixer.fixed-add .fs-footer {
        padding-bottom: 120px;
    }
}

.product-online-mixer.add-expanded h2 {
    margin-top: 40px;
}

.product-online-mixer.add-expanded .col {
    float: none;
    text-align: center !important;
}

.product-online-mixer.add-expanded .col button.button {
    width: auto !important;
    margin: 20px 0 20px !important;
}

.product-online-mixer .fixed-add-toggle {
    display: block;
    width: 20px;
    height: 20px;
    margin: 5px auto;
    background: url("../images/svg/icon_arrow_grey.svg") no-repeat center;
    transform: rotate(-90deg);
    text-decoration: none;
}

@media (max-width: 767px) {
    .product-online-mixer .modal-dialog.modal-dialog-product-option {
        margin: 30px auto;
        left: 0 !important;
        top: 0 !important;
        margin-top: 0 !important;
        position: absolute;
    }

    .product-online-mixer .modal-dialog.modal-dialog-product-option .modal-content .close {
        top: 15px;
        right: 0;
    }

    .product-online-mixer .modal-dialog.modal-dialog-product-option .container .col {
        text-align: left !important;
        width: 100%;
        flex: auto;
        position: relative;
    }

    .product-online-mixer .modal-dialog.modal-dialog-product-option .container th.col {
        display: none !important;
    }
}

.stock, .modal-dialog.modal-dialog-product-option .stock, #left_article_filter .products-option .modal-link .stock, #left_article_filter .products-option .modal-link .modal-dialog.modal-dialog-product-option .stock, .modal-dialog.modal-dialog-product-option #left_article_filter .products-option .modal-link .stock {
    width: 9px !important;
    height: 9px !important;
}

.stock.in-stock, .modal-dialog.modal-dialog-product-option .stock.in-stock, #left_article_filter .products-option .modal-link .stock.in-stock, #left_article_filter .products-option .modal-link .modal-dialog.modal-dialog-product-option .stock.in-stock, .modal-dialog.modal-dialog-product-option #left_article_filter .products-option .modal-link .stock.in-stock {
    background-color: #00ef00 !important;
}

#left_article_filter .products-option .products-options-button > button:first-child,
.mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group.qty-price-holder {
    width: auto !important;
}

.modal-dialog.modal-dialog-product-option {
    left: 30px !important;
    width: 100% !important;
    max-width: 650px !important;
}

.modal-dialog.modal-dialog-product-option .modal-content {
    border: none;
    position: relative;
    background-color: #ffffff;
    border-radius: 0;
    -webkit-box-shadow: 0 5px 15px rgb(89, 30, 29);
    box-shadow: 0 5px 15px rgb(92, 28, 28);
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    outline: 0;
    padding: 20px;
}

.modal-dialog.modal-dialog-product-option .modal-content .close {
    top: 0;
    right: -3px;
    position: absolute;
    z-index: 1;
    background: none transparent;
    border: 0 none
}
.modal-dialog.modal-dialog-product-option img {
    max-width: 124px;
    padding: 12px;
    margin: 0 0 0 -30px;
    position: relative;
    top: 13px;
}

.modal-dialog.modal-dialog-product-option .col {
    position: static;
}

.modal-dialog.modal-dialog-product-option h3.h3 {
    position: absolute;
    letter-spacing: 1px;
    top: 20px;
    left: 125px;
    color: #603d20;
}

.modal-dialog.modal-dialog-product-option .price {
    top: 60px;
    left: 125px !important;
}

.modal-dialog.modal-dialog-product-option .product.attribute.description {
    margin: 40px 0 5px;
}

.modal-dialog.modal-dialog-product-option .product.attribute.description p {
    font-size: 14px;
}

.modal-dialog.modal-dialog-product-option .grammage-total {
    display: none;
}

.modal-dialog.modal-dialog-product-option span.stock {
    top: 68px;
    left: 250px !important;
}

.modal-dialog.modal-dialog-product-option .container .row.full-height .col:first-child {
    background-color: transparent !important;
    width: 100%;
    min-height: 0 !important;
}

.modal-dialog.modal-dialog-product-option .package_ingredients {
    background: transparent;
    line-height: 26px;
    padding-left: 14px;
    text-align: left;
    font-weight: 700;
}

.modal-dialog.modal-dialog-product-option .package_ingredients span,
.modal-dialog.modal-dialog-product-option .package_ingredients p {
    display: inline-block;
    font-size: 13px;
}

.modal-dialog.modal-dialog-product-option .package_ingredients b {
    display: block;
    text-transform: uppercase;
    line-height: 1.1875rem;
    font-weight: 700;
}

.modal-dialog.modal-dialog-product-option .package_allergic_info {
    font-size: 0.75rem;
    padding-left: 15px;
}

.modal-dialog.modal-dialog-product-option .package_allergic_info .label {
    display: block;
    text-transform: uppercase;
    font-weight: 700;
}

.modal-dialog.modal-dialog-product-option .package_nutritional_value,
.modal-dialog.modal-dialog-product-option .package_nutritional_value p {
    font-size: 14px;
}

.modal-dialog.modal-dialog-product-option .container .col + .col {
    font-size: 14px !important;
    vertical-align: middle;
}

.modal-dialog.modal-dialog-product-option h2 {
   font-size: 18px;
    padding: 10px 0;
}

.modal-dialog.modal-dialog-product-option .package_nutritional_value table {
    width: 100%;
    margin: 10px 0 20px;
}

.modal-dialog.modal-dialog-product-option .package_nutritional_value table.data.table.nutritional-info th.label.indent {
    padding-left: 0;
}

.modal-dialog.modal-dialog-product-option .package_nutritional_value table tr:first-child,
.modal-dialog.modal-dialog-product-option .package_nutritional_value table tr:nth-child(2n) {
    background: white;
}

.modal-dialog.modal-dialog-product-option .package_nutritional_value table tr {
    background: #f5ede3;
}

.modal-dialog.modal-dialog-product-option .package_nutritional_value table tr:first-child td:first-child,
.modal-dialog.modal-dialog-product-option .package_nutritional_value table tr:nth-child(2) td {
    color: #49584c;
}

.modal-dialog.modal-dialog-product-option .package_nutritional_value table tr td {
    white-space: normal;
    padding: 0;
    border: 0;
}

@media (max-width: 767px) {
    .modal-dialog.modal-dialog-product-option img {
        top: 0;
        padding-top: 0;
    }

    .modal-dialog.modal-dialog-product-option h3.h3 {
        position: relative;
        top: 0;
        left: 0;
    }

    .modal-dialog.modal-dialog-product-option .price {
        position: relative !important;
        top: 0;
        left: 0 !important;
    }

    .modal-dialog.modal-dialog-product-option span.stock {
        position: relative;
        left: 0 !important;
        top: 5px !important;
        display: block;
        margin: 15px 0 10px;
    }

    .modal-dialog.modal-dialog-product-option .product.attribute.description {
        margin: 20px 0 5px;
    }
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}
